Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.i2p.client.streaming
Interface TaskScheduler

All Known Implementing Classes:
  SchedulerClosed, SchedulerClosing, SchedulerConnectedBulk, SchedulerConnecting, SchedulerDead, SchedulerHardDisconnected, SchedulerImpl, SchedulerPreconnect, SchedulerReceived

    public interface TaskScheduler

Coordinates what we do 'next'. The scheduler used by a connection is selected based upon its current state.

Method Summary
`boolean` | `accept(Connection con)` Determine whether this scheduler is fit to operate against the given connection
`void` | `eventOccurred(Connection con)` An event has occurred (timeout, message sent, or message received), so schedule what to do next based on our current state.

Method Detail

### eventOccurred

    void eventOccurred(Connection con)

  An event has occurred (timeout, message sent, or message received), so schedule what to do next based on our current state.

### accept

    boolean accept(Connection con)

  Determine whether this scheduler is fit to operate against the given connection

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD